Subject: Re: bug#16196: 24.3.50; Disable ding when scrolling

From: Jan Djärv <[email-masked]>
Date: Fri, 20 Dec 2013 19:48:57 +0100

Hello.

20 dec 2013 kl. 19:10 skrev Eli Zaretskii <[email-masked]>:

>> From: Jan Djärv <[email-masked]>
>> Date: Fri, 20 Dec 2013 18:52:27 +0100
>> Cc: [email-masked]
>> 
>> 11 hits, 6 in simple.el.  17/10 if we include beginning-of-buffer.  About half is kill-related and does not involve scrolling.  Does not sound many to me.
> 
> There are a couple in C as well.  But the main problem would be to
> understand which ones belong to what use cases.
> 
>> But I would settle for no beep for WHEEL events.  I'd prefer no beep at all though.
> 
> What, never?  Not even if you hit the beginning or end by moving
> cursor or by C-v/M-v?

Yes never.  I always though the beeping to be a bit out of this world:

"Where do you want to be?"
"At the end of the buffer."
"You are at the end of the buffer."
"Fine!"
"Not at all, it is an error to be where you want to be."
"??"

>  That'd be a serious change of behavior, so it
> should be discussed and/or users polled before we do that, I think.

Best make it an option then.  Does not require polling.

	Jan D.